      program espacodefase2
      
C 1  Data: 07/03/2007
C 2  Objetivo: este programa calcula os valores de angulo e velocidade
C 3  angular de um conjunto de 100 particulas em movimento harmonico
C 4  amortecido pelo metodo de Euler
C 5  TETA=angulo
C 6  OMEGA=velocidade angular
C 7  W2=frequencia angular do MHS elevada ao quadrado
C 8  DT=diferencial de tempo
      
      IMPLICIT NONE 
      INTEGER*4 I,K
      REAL*8 TETA(100),OMEGA(100),DT,Q,W2

C 9  definindo os valores iniciais

      DT=2.0D-2
      Q=8.0D0
C 10	Q=4.0D0
      W2=4.0D-2

C 11 carregando os dados iniciais

      OPEN(1,FILE='ENTRADA.DAT')
      READ(1,*)(TETA(K),OMEGA(K),K=1,100)
      CLOSE(1) 
	
C 12 abrindo o arquivo de resultados
         
      OPEN(1,FILE='FASE2.DAT')

C 13 iterando cada vetor

      DO K=1,100

C 14 selecionando os resultados a cada 100 iteracoes (19 tomadas) 

	  DO I=1,1800
	    IF(MOD(I,100).EQ.0.D0.OR.I.EQ.1)THEN
            WRITE(1,*)TETA(K),OMEGA(K)
          END IF

C 15 integrando o MHS amortecido pelo metodo de Euler

	    TETA(K)=TETA(K)+OMEGA(K)*DT
          OMEGA(K)=OMEGA(K)-(W2*TETA(K)+OMEGA(K)/Q)*DT
        END DO 

C 16 fechando a iterao do vetor

      END DO

C 17 fechando o arquivo de resultados e encerrando o programa

      CLOSE(1)
      END
