      program pendulo3 
	  
C 1  Data: 18/11/2004
C 2  Objetivo: simular o comportamento do Pendulo Amortecido Forado 
C 3  para obter o Atrator Estranho
C 4  W  a frequencia angular do pendulo
C 5  TETA  o angulo do pndulo com a vertical
C 6  PHI  o fator de foramento
C 7  Q  o fator de amortecimento
C 8  G  a amplitude de foramento
C 9  WD  a velocidade angular de foramento
C 10 DT  o diferencial de tempo da integrao
C 11 T  o tempo total
    	
	IMPLICIT NONE 
      INTEGER*4 I
      REAL*8 W,TETA,PHI,Q,G,WD,DT,T

C 12 definindo os valores iniciais

	W=0.5D0
C 13  W=0.7D0
      TETA=-0.6D0
	PHI=0.D0
	WD=2.0D0/3.0D0
	G=1.5D0
	Q=4.0D0		 	
	DT=1.D-3
	T=0

C 14 abrindo o arquivo dos resultados

	OPEN(1,FILE='TETAW5.DAT')
C 15	OPEN(1,FILE='TETAW6.DAT')  
	
C 16 integrando pelo metodo de Euler
   
      DO I=1,50000
	  W=W+(G*COS(PHI)-SIN(TETA)-W/Q)*DT	 
        TETA=TETA+W*DT     	   
        PHI=PHI+WD*DT	  	
        T=T+DT 
	  
C 17 gravando os resultados
 
	  WRITE(1,*)TETA,W
	END DO

C 18 fechando o arquivo de resultados e encerrando o programa

	CLOSE(1)
	END
