      program dimensao

C 1  Data: 21-09-2005
C 2  Objetivo: este programa calcula a dimensao fractal do
C 3  atrator do mapa logistico para um determinado valor de MI
C 3  atraves do metodo de contagem de caixas (dimensao de capacidade)
C 4  N = numero de caixas
C 5  X = iteracao logistica
C 6  MI= parametro do mapa logistico
C 7  E = tamanho da caixa
      
      IMPLICIT NONE 
      INTEGER*4 I,J,K,L,P,N,M(100000)
      REAL*8 X,MI,E,INVE,LN

C 8  definindo os valores iniciais

      MI=3.6D0
C 9   MI=3.8D0
	E=1.0D0

C 10 abrindo o arquivo de resultados

	OPEN(1,FILE='NE.dat')

C 11 variando o valor de E

	DO I=1,10
	   E=E/DEXP(1.D0)

C 12 zerando o vetor M

	  DO J=1,100000
	      M(J)=0
	  END DO

C 13 iterando a funo logstica

	  X=0.3D0
        DO K=1,100500
          X = MI*X*(1.D0-X)

C 14 marcando a caixa

          IF(K.GT.500)THEN
	      L=INT(X/E)+1
	      IF (M(L).EQ.0)M(L)=1
	    ENDIF
        ENDDO

C 15 contando as caixas

        N=0
	  DO P=1,100000
	    N=N+M(P)
	  ENDDO

C 16 registrando o resultado

        INVE=DLOG(1.D0/E)
        LN=DLOG(DFLOAT(N))
	  WRITE(1,*)INVE,LN
 	ENDDO

C 17 fechando o arquivo de resultados e encerando o programa

	CLOSE(1)
	END
