      program lyapunov

C 1  Data: 02-09-2005
C 2  Objetivo: calcular o expoente de lyapunov para o mapa logistico.

	IMPLICIT NONE
	REAL*8 MI,L,X
	INTEGER*4 N

C 3  abrindo o arquivo dos resultados

	OPEN(1,FILE='MIL.DAT')

C 4  variando os valores de MI	e
C 5  atualizando os valores iniciais de X e L

      DO MI=2.8D0,4.0D0,1.D-3
C 6   DO MI=1.2D0,4.0D0,1.D-3
	  X = 0.3D0
        L = 0.D0

C 7  iterando o mapa logistico

        DO N=1,1000
	    X = MI*X*(1.D0-X)

C 8  calculando os valores de L

          L=L+DLOG(MI*DABS(1.D0-2.D0*X))/1000.D0
        ENDDO
        WRITE(1,*)MI,L
      ENDDO

C 9  fechando o arquivo dos resultados e encerrando o programa

	CLOSE(1)
	END
