      program pendulo1 
	  
C 1 data: 18/11/2004
C 2 Objetivo: simular o comportamento do Pndulo Amortecido Forado
C 3 observando a trajetria do transiente at o atrator "ciclo limite".


C 4 W  a frequencia angular do pndulo
C 5 TETA  o angulo do pndulo com a vertical
C 6 PHI  o fator de foramento
C 7 Q  o fator de amortecimento
C 8 G  a amplitude de foramento
C 9 WD  a velocidade angular de foramento
C 10 DT  o diferencial de tempo da integrao
C 11 T  o tempo total
    	
      IMPLICIT NONE 
      INTEGER*4 I
      REAL*8 W,TETA,PHI,Q,G,WD,DT,T

C 12 definindo os valores iniciais

	W=4.D-3
	TETA=-1.D-1
C 13	TETA=2.D-1
      PHI=0
	WD=4.D-1
	G=5.D-1
	Q=2.D0	 	
	DT=2.D-3
	T=0

C 14 abrindo os arquivos dos resultados
	 	
	OPEN(1,FILE='TETAW1.DAT')     
C 15  OPEN(1,FILE='TETAW2.DAT')
C 16 integrando as equacoes pelo metodo de Euler
     
      DO I=1,30000
	  W=W+(G*DCOS(PHI)-DSIN(TETA)-W/Q)*DT	 
        TETA=TETA+W*DT     	   
        PHI=PHI+WD*DT	  	
        T=T+DT
		
C 17 gravando os resultados
		 	
C 18    IF(I.GT.10000)THEN
	    WRITE(1,*)TETA,W
C 19 	  END IF
      END DO

C 20 fechando o arquivo de resultados e encerrando o programa

	CLOSE(1)
	END
	