      program pendulo2
	 
	  
C 1  Data: 26/06/2005
C 2  Objetivo: tracar a trajetoria de duas partculas com pequenas
C 3  diferenas nas condies iniciais no primeiro ciclo de foramento.


C 4  W  a frequencia angular
C 5  TETA  a posicao angular de cada particula
C 6  PHI  o fator de foramento
C 7  PI  o numero pi
C 7  Q  o fator de amortecimento	
C 8  G  a amplitude de foramento
C 9  WD  a velocidade angular de foramento
C 10 DT  o diferencial de tempo da integrao
C 11 T  o tempo total
C 12 TF  o tempo final
    	
	IMPLICIT NONE 
      REAL*8 W,TETA,PHI,PI,Q,G,WD,DT,T,TF

C 13 definindo os valores iniciais	
	
      PI=DACOS(DFLOAT(-1))
      W=0.5D0
C 14  W=0.7D0 
	TETA=-0.6D0
	PHI=0.D0
	WD=2.0D0/3.0D0
	G=1.5D0
	Q=4.0D0
	DT=1.0D-1
	TF=2.0D0*PI/WD

C 15 abrindo o arquivo dos resultados

	OPEN(1,FILE='TETAW1.DAT')
C 16	OPEN(1,FILE='TETAW2.DAT')
     	DO T=0,TF,DT

C 17 gravando os resultados	
  
        WRITE(1,*)TETA,W

C 18 integrando pelo metodo de Euler

	  W=W+(G*DCOS(PHI)-DSIN(TETA)-W/Q)*DT
	  TETA=TETA+W*DT 	
	  PHI=PHI+WD*DT
	ENDDO

C 19 fechando o arquivo de resultados e encerrando o programa 

	CLOSE(1)
	END
